<template>
  <v-btn-toggle
    divided
    rounded
    variant="outlined"
    shaped
    v-model="props.filterIsActive"
    color="#FF6D00"
    @click.prevent="filterTodos"
  >
    <v-btn
      v-for="btn in listBtn"
      :key="btn"
      :name="btn"
      width="70px"
      style="margin-bottom: 10px"
      >{{ btn }}</v-btn
    >
  </v-btn-toggle>
</template>
<script setup lang="ts">
import { TypsListBtn } from "../types/TypeListBtn";

interface Props {
  filterIsActive: number;
}
const props = defineProps<Props>();

const listBtn: TypsListBtn[] = ["ALL", "ACTIVE", "DONE"];

const filterTodos = (e: Event) => {
  emit("filterToDo", (e.target as HTMLInputElement).innerText);
};

const emit = defineEmits({
  filterToDo: (filterValue: string) => filterValue,
});
</script>
<style></style>
